module TestsAutoloading
  def setup
    @foo = Pico.define_context :Foo, root: "/foo"
    @bar = Pico.define_context :Bar, root: '/bar', parent: :Foo
    @app = Pico.define_application :MyApp, root: "/my_app" do
      self.autoload_paths << 'lib'
    end
    Pico.boot!
    assert_nil Pico::Autoloader.current_autoloader
  end

  def teardown
    assert_nil Pico::Autoloader.current_autoloader,
      "Each test in this file must clean up after itself"
  end
end
